// /redux/thunks/webservice/fetchGisLinesStatusThunk.js
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchGisLinesStatusService } from "../../../services/webservice/fetchGisLinesStatusService";

export const fetchGisLinesStatusThunk = createAsyncThunk("gisLinesStatus/fetch", async (_, thunkAPI) => {
  try {
    return await fetchGisLinesStatusService();
  } catch (error) {
    return thunkAPI.rejectWithValue(error.message);
  }
});
